unsigned char input_s();
void output_s(unsigned char caracter);

void output_s(unsigned char caracter) 
	{				
		char val_TXRDY;
		char val_TXEMP;		
	
		//MCF_UART1_USR = MCF_UART_USR(1);						
		val_TXRDY = (MCF_UART1_USR & MCF_UART_USR_TXRDY);
		val_TXEMP = (MCF_UART1_USR & MCF_UART_USR_TXEMP);					
		while (val_TXRDY ==0 && val_TXEMP ==0)	
			{
				MCF_UART1_USR = MCF_UART_USR(1);						
				val_TXRDY = (MCF_UART1_USR & MCF_UART_USR_TXRDY  );
				val_TXEMP = (MCF_UART1_USR & MCF_UART_USR_TXEMP  );
			}	
		MCF_UART1_UTB = caracter;
	}


 unsigned char  input_s ()		// Rutina para atender la interrupcion de recepción
	{					
		unsigned char dato; 

		dato = MCF_UART1_URB;			// recibe el dato en el registro URB
		output_s(dato);				// Envia el dato recibido para confirmar
		return dato;				// La funcion retorna el dato recibido
	} 